// File: Photo.qml
import Qt 4.7
 
Rectangle {
    property alias imageFile: photo.source
    property alias imageTitle: title.text
 
    width: frameSize; height: frameSize
    color: frameColor
 
    Image {
        id: photo
        x: leftMargin; y: topMargin
    }
 
    Text {
        id: title
        x: 0; y: frameSize - bottomMargin
        font.pixelSize: fontSize
        width: frameSize; horizontalAlignment: Text.AlignHCenter
        height: bottomMargin; verticalAlignment: Text.AlignVCenter
    }
}